import { GameError } from "./game_error.js";

export class NotParticipatingError extends GameError {
  constructor(
    gameId: number,
    playerId: number,
    action: string,
    options?: ErrorOptions
  ) {
    super(
      `Attempted to perform action: "${action}" with player: ${playerId} ` +
        `despite them not being a participent of game: ${gameId}`,
      options
    );
  }
}
